Skip to content
GAMPEONCreate
New project

Apply for a job

POST
/v1/jobs/{id}/applications
curl --request POST \
--url https://api.gampeon.com/v1/jobs/1/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "message": "example", "links": [ "example" ] }'

One application per job. From 16 for volunteer jobs, from 18 for everything else; accounts without a birth month count as under 16. The team gets a job_application notification (at most one per job every 30 minutes).

Not available with access tokens.

Rate limit: 20 per day per account.

id
required
integer
>= 1

Job ID

Media typeapplication/json
object
message
required
string
>= 20 characters <= 2000 characters
links

Up to 3 https:// links

Array<string>
<= 3 items

Example generated

{
"message": "example",
"links": [
"example"
]
}

Applied

Media typeapplication/json
object
id
required
integer
jobId
required
integer
status
required
Allowed value: new
createdAt
required

Unix time in milliseconds

integer format: int64

Example

{
"status": "new"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, age_restricted, not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: own_job, not_open, already_applied

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 20 per day per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback